ANNIE1-electronics-design - Task #10512
Task # 10449 (Assigned): HV pickoff & signal splitter

Test final pickoff/splitter
10/14/2015 10:52 AM - Jonathan Eisch

Status: New Start date: 11/09/2015
Priority: Normal Due date: 01/20/2016
Assignee: % Done: 100%
Category: Estimated time: 3.00 hours
Target version: Spent time: 0.00 hour
Description

History

#1 - 01/12/2016 03:06 PM - Jonathan Eisch
- Due date changed from 11/13/2015 to 01/20/2016

#2 - 04/06/2016 11:14 PM - Matthew Wetstein
- % Done changed from 0 to 100
